Order of directive in a rule is only for ncf or standard lib
2015-08-24 17:32 - Frangois ARMAND

Status: Released

Priority: N/A

Assignee: Nicolas CHARLES

Category: Web - Config management

Target version: 3.1.2

Pull Request: https://github.com/Normation/cf-clerk/pull | Effort required:
/78

Severity: Priority:

User visibility:

Description

The order of directives in rules (or rules) is not done for all directive, but for the ncf technique on one hand, and for other techniques
on the other hand.

So in fact, if we have directives: dir1, dir2, dir3, but dir3 is based on a ncf technique, then the final order is dir3, dir1, dir2. Which is
clearly not what we want.

Subtasks:
Bug # 7129: Port #7127 into branch master Released

Related issues:
Related to Rudder - Bug #7128: When a directive from an unique technique is i... Released 2015-08-24

Associated revisions

Revision 0c6e8b74 - 2015-08-24 18:44 - Frangois ARMAND

Fixes #7127: Order of directive in a rule is only for ncf or standard lib

Revision ebd12d22 - 2015-08-24 18:51 - Nicolas CHARLES

Merge pull request #78 from fanf/bug_7127/order_of_directive_in_a_rule_is_only_for_ncf_or_standard_lib

Fixes #7127: Order of directive in a rule is only for ncf or standard lib

History

#1 - 2015-08-24 18:44 - Francois ARMAND

- Status changed from In progress to Pending technical review

- Assignee changed from Frangois ARMAND to Nicolas CHARLES
- Pull Request set to https://github.com/Normation/ct-clerk/pull/78

PR https://github.com/Normation/cf-clerk/pull/78

#2 - 2015-08-24 18:48 - Francois ARMAND

- Related to Bug #7128: When a directive from an unique technique is in several rules, it's order may be lost added

#3 - 2015-08-24 19:01 - Francois ARMAND
- Status changed from Pending technical review to Pending release

- % Done changed from 0 to 100

Applied in changeset cf-clerk|0c6e8b742d9a3e8c1a64b9dec977e1c0221690e7.

#4 - 2015-08-24 19:01 - Nicolas CHARLES
Applied in changeset cf-clerk|lebd12d225b250591a41597acdfa966d0cd66846a.
#5 - 2015-10-05 11:06 - Vincent MEMBRE
- Status changed from Pending release to Released
This bug has been fixed in Rudder 3.1.2 which was released today.

e 3.1: AnnounceChangelog

e Download: https://www.rudder-project.org/site/get-rudder/downloads/
